For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
      • GETReturns all companies.
      • POSTCreates a new company.
      • GETReturns all company industries that are currently in use.
      • GETReturns the company with the specified id.
      • PUTUpdates the company with the specified id.
      • GETReturns the contact infos of the company with the specified id.
      • POSTCreates a new contact info for the company with the specified id.
      • GETReturns the specified contact info of the company with the specified id.
      • PUTUpdates the contact info for the company with the specified id.
      • DELDeletes the contact info of the company with the specified id.
      • POSTDeletes the company with the specified id.
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceCompanies

Updates the company with the specified id.

PUT
https://api.awork.com/api/v1/companies/:companyId
PUT
/api/v1/companies/:companyId
$curl -X PUT https://api.awork.com/api/v1/companies/companyId \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "NCNSTN Brand Design"
>}'
1{
2 "name": "NCNSTN Brand Design",
3 "description": "A small agency with a team of around 20 people, located in the heart of Berlin",
4 "industry": "Brand Agency",
5 "id": "123e4567-e89b-12d3-a456-426614174000",
6 "hasImage": true,
7 "companyContactInfos": [
8 {
9 "type": "address",
10 "label": "Headquarters",
11 "value": "Torstrasse 140, Hof A, 10119 Berlin",
12 "subType": "central",
13 "addressLine1": "Torstrasse 140",
14 "addressLine2": "Hof A",
15 "zipCode": "10119",
16 "city": "Berlin",
17 "state": "Berlin",
18 "country": "DE",
19 "isAddress": true,
20 "id": "123e4567-e89b-12d3-a456-426614174001",
21 "createdOn": "2024-01-15T09:30:00Z",
22 "createdBy": "123e4567-e89b-12d3-a456-426614174002",
23 "updatedOn": "2024-04-10T11:45:00Z",
24 "updatedBy": "123e4567-e89b-12d3-a456-426614174003"
25 }
26 ],
27 "createdOn": "2023-12-01T08:00:00Z",
28 "createdBy": "123e4567-e89b-12d3-a456-426614174004",
29 "updatedOn": "2024-04-10T11:45:00Z",
30 "updatedBy": "123e4567-e89b-12d3-a456-426614174003",
31 "resourceVersion": 637825154598057900,
32 "tags": [
33 {
34 "id": "123e4567-e89b-12d3-a456-426614174005",
35 "name": "Design",
36 "color": "purple"
37 }
38 ],
39 "projectsCount": 3,
40 "projectsInProgressCount": 2,
41 "isExternal": true
42}
<Check title="Required Permissions" icon="key">The user must be an admin or have `company-master-data:write` permissions.</Check>
Was this page helpful?
Previous

Returns the contact infos of the company with the specified id.

Next
Built with
Required Permissions
The user must be an admin or have company-master-data:write permissions.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

companyIdstringRequiredformat: "uuid"
The id of the company to update.

Request

The model with updated company data.
namestringRequired0-1000 characters
The company name.
descriptionstring or nullOptional0-25000 characters
The company description.
industrystring or nullOptional0-1000 characters
The company's industry.

Response

OK
namestring0-1000 characters
The company name.
descriptionstring or null0-25000 characters
The company description.
industrystring or null0-1000 characters
The company's industry.
idstringformat: "uuid"
The id of the company.
hasImageboolean
Whether the company has an image.
companyContactInfoslist of objects or null
The company infos assigned to this company.
createdOnstringformat: "date-time"
The date this entity was created.
createdBystringformat: "uuid"
The id of the user who created this entity.
updatedOnstringformat: "date-time"
The date this entity was last modified.
updatedBystringformat: "uuid"
The id of the user who last modified this entity.
resourceVersionlongRead-only
The version of the entity, updated on every modification, to the ticks in UTC. Not identical to UpdatedOn.
tagslist of objects or null
The tags for this company.
projectsCountinteger
The number of all projects related to the company.
projectsInProgressCountinteger
The number of all projects in status 'progress' related to the company.
isExternalboolean

True if this entity is coming from an external workspace (awork Connect).

Errors

400
Bad Request Error